unit couleur;

interface
function tocolor(couleur : string;i:integer) : integer;
function tocolorskyboxsol ( couleur : string ; i: integer) : integer;
function tocolorskyboxmur (  couleur : string ; i: integer) : integer;


implementation
function tocolor(couleur : string; i:integer) : integer;
var
color : array [0..2] of integer;
begin
if couleur ='rouge' then
         begin
          color[0]:= 255;
          color[1]:=20;
          color[2]:=20;
          end
  else if couleur = 'vert' then
          begin
           color[0]:=20;
           color[1]:=255;
           color[2]:=20;
          end
    else if couleur = 'bleu' then
          begin
            color[0]:=20;
            color[1]:=20;
            color[2]:=255;
          end
      else if couleur = 'jaune' then
            begin
             color[0]:=255;
             color[1]:=255;
             color[2]:=20;
           end
        else if couleur = 'blanc' then
                begin
                  color[0]:=255;
                  color[1]:=255;
                  color[2]:=255;
                end
          else if couleur = 'noir' then
                  begin
                    color[0]:=20;
                    color[1]:=20;
                    color[2]:=20;
                  end
                else if couleur = 'gris' then
                        begin
                          color[0]:=150;
                          color[1]:=150;
                          color[2]:=150;
                        end
                     else if couleur = 'grisf'then
                            begin
                               color[0]:=100;
                               color[1]:=100;
                               color[2]:=100;
                            end
                           else
                             begin
                               color[0] := random(255);
                               color[1] := random(255);
                               color[2] := random(255);
                             end;
result:=color[i];
end;


function tocolorskyboxsol ( couleur : string ; i: integer) : integer;
var
color : array [0..2] of integer;
begin


if couleur ='rouge' then
         begin
          color[0]:= 255;
          color[1]:=20;
          color[2]:=20;
          end
  else if couleur = 'vert' then
          begin
           color[0]:=20;
           color[1]:=60;
           color[2]:=20;
          end
    else if couleur = 'bleu' then
          begin
            color[0]:=20;
            color[1]:=20;
            color[2]:=255;
          end
      else if couleur = 'jaune' then
            begin
             color[0]:=255;
             color[1]:=255;
             color[2]:=20;
           end
        else if couleur = 'blanc' then
                begin
                  color[0]:=255;
                  color[1]:=255;
                  color[2]:=255;
                end
          else if couleur = 'noir' then
                  begin
                    color[0]:=20;
                    color[1]:=40;
                    color[2]:=20;
                  end
                else begin
                      color[0] := random(255);
                      color[1] := random(255);
                      color[2] := random(255);
                     end;
result:=color[i];

end;

function tocolorskyboxmur (  couleur : string ; i: integer) : integer;
var
color : array [0..2] of integer;
begin

if couleur ='rouge' then
         begin
          color[0]:= 255;
          color[1]:=20;
          color[2]:=20;
          end
  else if couleur = 'vert' then
          begin
           color[0]:=20;
           color[1]:=60;
           color[2]:=20;
          end
    else if couleur = 'bleu' then
          begin
            color[0]:=130;
            color[1]:=240;
            color[2]:=250;
          end
      else if couleur = 'jaune' then
            begin
             color[0]:=255;
             color[1]:=255;
             color[2]:=20;
           end
        else if couleur = 'blanc' then
                begin
                  color[0]:=255;
                  color[1]:=255;
                  color[2]:=255;
                end
          else if couleur = 'noir' then
                  begin
                    color[0]:=20;
                    color[1]:=40;
                    color[2]:=20;
                  end
                else begin
                      color[0] := random(255);
                      color[1] := random(255);
                      color[2] := random(255);
                     end;

result:=color[i];
end;
end.
 